Qt 5.6 | Qt 3D | C++ Classes | QEffect

Qt 5.6.3 Reference Documentation

# QEffect Class

(Qt3DRender::QEffect)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Functions

| QEffect(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QEffect()
void | addParameter(QParameter *parameter)
virtual void | addTechnique(QTechnique *t)
QList<QParameter *> | parameters() const
void | removeParameter(QParameter *parameter)
virtual void | removeTechnique(QTechnique *t)
QList<QTechnique *> | techniques() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QEffect(QEffectPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QEffect::QEffect(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QEffect.

### `[protected]` QEffect::QEffect(QEffectPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QEffect::~QEffect()

Destroys the instance of QEffect.

### void QEffect::addParameter(QParameter *parameter)

### `[virtual]` void QEffect::addTechnique(QTechnique *t)

### `[protected]` void QEffect::copy(const Qt3DCore::QNode *ref)

### QList<QParameter *> QEffect::parameters() const

### void QEffect::removeParameter(QParameter *parameter)

### `[virtual]` void QEffect::removeTechnique(QTechnique *t)

### QList<QTechnique *> QEffect::techniques() const